Ubuntu

Please sync fop-0.95 (universe) from debian experimental

Reported by Christoph Korn on 2009-02-06
4
Affects Status Importance Assigned to Milestone
fop (Ubuntu)
Wishlist
Dustin Kirkland 

Bug Description

Binary package hint: fop

Please sync fop-0.95 from debian experimental.
Changelog since current jaunty 1:0.94.dfsg-2ubuntu2

fop (1:0.95.dfsg-2) experimental; urgency=low
   * Tighten up depencies on libxmlgraphics-commons-java and add xml-apis-ext
     to the wrapper script (closes: #505582)
   * Depends on libxml-commons-external-java use openjdk-jre-6 as
     'preferred' JVM (I'm not sure it will run on non-Sun runtime), thanks
     to Kobayashi Noritada <email address hidden> for spotting and for
     advice (closes: 508485)
   * Add ${misc:Depends} for possible dh_*-added dependencies, with
     the side benefits that it makes lintian happy !

 -- Vincent Fourmond <email address hidden> Thu, 11 Dec 2008 21:09:32 +0100
fop (1:0.95.dfsg-1) experimental; urgency=low
   [ Sylvestre Ledru ]
   * New upstream version (Closes: #494041)
   * Section change in fop-doc.doc-base from contrib/libs => Text to make
     lintian happier
   * Dependencies removed (Closes: #229079, #271654)
   * Update of the JAVA_HOME in debian/ant.properties (Closes: #492322)
   * Updated Standards-Version to 3.8.0
   * Homepage, Vcs-Svn, Vcs-Browser & DM-Upload-Allowed added
   * Switch to openJDK
   * Script orig-tar.sh to repack the archive (rm -rf lib/*)
   * Update of the copyright file (fop changed to Apache 2)
   * Add myself as uploader.

   [ Michael Koch ]
   * Fixed watch file for changed upstream location.

   [ Vincent Fourmond ]
   * Added myself to uploaders
   * There are no reasons to keep fop in contrib now that batik and
     xml-graphics-common are in main
   * Tighten up dependencies of fop on batik 1.7
   * Convert fop.sh to java-wrappers

   [ Torsten Werner ]
   * Implement target get-orig-source in debian/rules.
   * Add myself to Uploaders.
   * Update Build-Depends: libxmlgraphics-commons-java (>= 1.3).
   * Fix debian/*.pod files.
   * Fix versioned Depends: java-wrappers.

   [ Vincent Fourmond ]
   * Convert fop-ttfreader.sh to java-wrappers
   * Updated all manual pages so they now reference java-wrappers(7)

 -- Vincent Fourmond <email address hidden> Sat, 18 Oct 2008 20:43:44 +0200

There were ubuntu specific changes to the package that should also be applied to the new
version.

This version is required in order to build scilab-5.

Christoph Korn (c-korn) wrote :

To merge the changes made by debian a newer version of java-wrappers is required.

The bug report for it is here:
https://bugs.launchpad.net/ubuntu/+source/java-wrappers/+bug/326214

Christoph Korn (c-korn) wrote :

https://launchpad.net/~getdeb.packages/+archive/ppa
The package has been built here.

The ubuntu changes were already applied.

Onkar Shinde (onkarshinde) wrote :

This is not a sync. I see at least one change made in Ubuntu not adopted in Debian. If you wish to work on merge please provide the debdiff against the Debian version.

Changed in fop:
importance: Undecided → Wishlist
status: New → Incomplete
Christoph Korn (c-korn) wrote :

I have only found two differences between the ubuntu and the debian version.

Both are in debian/rules.

1. There is this additional line at the bottom of the include list in ubuntu:
include /usr/share/cdbs/1/class/ant-vars.mk

2. The DEB_JARS variable is different.
The attachment shows the difference between ubuntu and debian.
This debian bug report says that jimi is not required for fop any longer:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=271654
So the /usr/local/jimi-1.0.jar can be dropped.
(Don't know if /usr/local/jai_core.jar and /usr/local/jai_codec.jar also belong to jimi)

So the real difference between debian and ubuntu according DEB_JARS is this:
jars in debian but not in ubuntu:
batik-all batik-libs xml-apis

jars in ubuntu but not in debian:
batik /usr/local/jimi-1.0.jar /usr/local/jai_core.jar /usr/local/jai_codec.jar

I don't know which of these batik jars are required.
http://packages.ubuntu.com/jaunty/all/libbatik-java/filelist

Also I cannot find a package containing a jar for xml-apis.

Christoph Korn (c-korn) wrote :

Java-wrappers has been synced.

Now there is no dependency from fop left.

Christoph Korn (c-korn) wrote :

http://packages.ubuntu.com/jaunty/libxmlgraphics-commons-java

xmlgraphics-common has been released in jaunty.

There are no dependencies left to build fop now.

Onkar Shinde (onkarshinde) wrote :

Sync ACK'ed. Verifies that all the Ubuntu changes have been merged in Debian except one change that is not relevant anymore. Verified that Debian package builds fine in pbuilder chroot for jaunty.

Changed in fop:
status: Incomplete → Confirmed
Dustin Kirkland  (kirkland) wrote :

I force-synced this, dropping Ubuntu changes, per Onkar.

Getting binaries for jaunty...
[Updating] fop (1:0.94.dfsg-2ubuntu2 [Ubuntu] < 1:0.95.dfsg-2 [Debian])
 * Trying to add fop...
  - <fop_0.95.dfsg-2.dsc: downloading from http://ftp.debian.org/debian/>
  - <fop_0.95.dfsg-2.diff.gz: downloading from http://ftp.debian.org/debian/>
  - <fop_0.95.dfsg.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
I: fop [universe] -> fop_1:0.94.dfsg-2ubuntu2 [universe].
I: fop [universe] -> fop-doc_1:0.94.dfsg-2ubuntu2 [universe].

:-Dustin

Changed in fop:
assignee: nobody → kirkland
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.